import { Disposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { ITextModelService } from "@codingame/monaco-vscode-api/vscode/vs/editor/common/services/resolverService.service";
import { IConfigurationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/configuration/common/configuration.service";
import { IMcpConfigPathsService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/mcp/common/mcpConfigPathsService.service";
import { IMcpRegistry } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/mcp/common/mcpRegistryTypes.service";
import { IMcpDiscovery } from "./mcpDiscovery.js";
export declare class ConfigMcpDiscovery extends Disposable implements IMcpDiscovery {
    private readonly _configurationService;
    private readonly _mcpRegistry;
    private readonly _textModelService;
    private readonly _mcpConfigPathsService;
    private configSources;
    constructor(_configurationService: IConfigurationService, _mcpRegistry: IMcpRegistry, _textModelService: ITextModelService, _mcpConfigPathsService: IMcpConfigPathsService);
    start(): void;
    private _getServerIdMapping;
    private sync;
}
