import { Disposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { IStorageService } from "@codingame/monaco-vscode-api/vscode/vs/platform/storage/common/storage.service";
import { IExtensionService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/extensions/common/extensions.service";
import { IMcpRegistry } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/mcp/common/mcpRegistryTypes.service";
import { IMcpDiscovery } from "./mcpDiscovery.js";
export declare class ExtensionMcpDiscovery extends Disposable implements IMcpDiscovery {
    private readonly _mcpRegistry;
    private readonly _extensionService;
    private readonly _extensionCollectionIdsToPersist;
    private readonly cachedServers;
    constructor(_mcpRegistry: IMcpRegistry, storageService: IStorageService, _extensionService: IExtensionService);
    start(): void;
    private _activateExtensionServers;
    private static _validate;
}
