import { IConfigurationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/configuration/common/configuration.service";
import { IFileService } from "@codingame/monaco-vscode-api/vscode/vs/platform/files/common/files.service";
import { IWorkspaceContextService } from "@codingame/monaco-vscode-api/vscode/vs/platform/workspace/common/workspace.service";
import { IRemoteAgentService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/remote/common/remoteAgentService.service";
import { IMcpRegistry } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/mcp/common/mcpRegistryTypes.service";
import { IMcpDiscovery } from "./mcpDiscovery.js";
import { FilesystemMcpDiscovery } from "./nativeMcpDiscoveryAbstract.js";
export declare class CursorWorkspaceMcpDiscoveryAdapter extends FilesystemMcpDiscovery implements IMcpDiscovery {
    private readonly _workspaceContextService;
    private readonly _remoteAgentService;
    private readonly _collections;
    constructor(fileService: IFileService, _workspaceContextService: IWorkspaceContextService, mcpRegistry: IMcpRegistry, configurationService: IConfigurationService, _remoteAgentService: IRemoteAgentService);
    start(): void;
    private watchFolder;
}
