import { IDisposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { SyncDescriptor0 } from "@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/descriptors";
export interface IMcpDiscovery extends IDisposable {
    start(): void;
}
declare class McpDiscoveryRegistry {
    private readonly _discovery;
    register(discovery: SyncDescriptor0<IMcpDiscovery>): void;
    getAll(): readonly SyncDescriptor0<IMcpDiscovery>[];
}
export declare const mcpDiscoveryRegistry: McpDiscoveryRegistry;
export {};
